Introduction

Are your Internet costs rocketing? Is inappropriate use of your network having an adverse effect on your business-critical performance? Is Internet access bandwidth a major bottleneck in your network? If your network has any of these problems then SoftPerfect Bandwidth Manager will provide a cost effective solution. The software monitors your network traffic and limits bandwidth in whatever manner you specify. The result is an immediate increase in the efficiency of your network together with a reduction in your overall bandwidth requirements while allowing business-critical Internet applications to run at full speed.

SoftPerfect Bandwidth Manager is a full-featured traffic management tool for Windows NT/2000/XP/2003 that offers cost-effective bandwidth control and quality of service based on built-in prioritized rules. These rules can specify a bandwidth limit for each Internet user. This kind of software often called bandwidth shaper, bandwidth limiter or traffic shaper. With SoftPerfect Bandwidth Manager, you can apply speed-throttling rules to specified IP addresses, ports and even network interfaces with no changes to existing network infrastructure. The rich feature set of SoftPerfect Bandwidth Manager is easily managed via the intuitive Windows GUI.

The key features of SoftPerfect Bandwidth Manager:
  • Centralized configuration from a single network location.
  • Flexible, prioritized, bidirectional rules to specify maximum data rates.
  • Rules for IP and MAC addresses, protocols, ports (for TCP/IP) and network interfaces.
  • Transparency for end users.
  • No software installation is required on client workstations in most cases.
  • Detailed and comprehensive statistics are available for each rule.
System Requirements
The system requirements for SoftPerfect Bandwidth Manager:
  • Windows NT 4.0, Windows 2000, Windows XP or Windows 2003 Server;
  • 3 MB on hard drive;
  • A network connection (wired or wireless) or a modem.
Software Installation

SoftPerfect Bandwidth Manager contains two modules: the system service and the GUI front end.

The system service should, ideally, be installed on a network computer that is the Internet gateway to limit user’s bandwidth usage. This may not always be possible. For example, network users may access the Internet through a hardware router and a DSL modem. In this case, the SoftPerfect Bandwidth Manager will be effective if it is installed on user's workstations. The GUI front end is usually installed to run on the system administrator's PC. Please see the examples to learn more about installation on specific network configurations.
Version History
May 02, 2005 | v2.3 | Timetable support Blocking rules Internal improvements
March 15, 2005 | v2.2 | MAC address support Minor optimizations
January 19, 2005 | v2.0 | Enable/Disable all rules command Advanced logging with event viewer Quota manager Daily statistics Customizable internal queue size Non-delayed TCP ACK frames processing
December 11, 2004 | v1.2 | Multiple rules creation within a single action Remove all rules command added Fixed problem under Windows 2003 Server
December 5, 2004 | v1.1 | Initial release.
© 2000-2005 SoftPerfect Research. All rights reserved.


License agreement

This license agreement is a legal agreement between you (either an individual or a single entity) and the author of this software (SoftPerfect Research).

By installing or otherwise using this software you agree to be bound by this agreement. If you do not agree to the terms of this Agreement, you may not install or use this software. You may install and use an unlimited number of copies of the TRIAL version of this software on your computers. You may give this software package to your friends, burn it onto your own CD-ROMs (or other media) and upload it to Software Archives as long as the original package remains unmodified.

The author of this software owns all rights in the Software (including any images or text incorporated into the Software).

You are granted a non-exclusive license to use the program on one computer at a time. The program may not be rented, leased or transferred.

Any use of the program, which is illegal under international or local law, is forbidden by this license. Any such action is the sole responsibility of the person committing the action.

The program is distributed "AS IS" and you assume full responsibility for determining the suitability of the program and for results obtained.

SoftPerfect Research makes no warranty that all errors have been or can be eliminated from the program software and, with respect thereto, SoftPerfect Research shall not be responsible for losses, damages, costs, or expenses of any kind resulting from using or misusing the program including without limitation, any liability for business expenses, machine downtime, damages experienced by you or any third person as a result of any deficiency, defect, bug, error or malfunction. SoftPerfect Research shall not be liable for any indirect, special, incidental, or consequential damages relating to or arising out of the subject matter of this Agreement or actions taken thereunder

NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THE PROGRAM AT YOUR OWN RISK. SOFTPERFECT Research DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. NOBODY WILL BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not distribute, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the program, or any subset of the program. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal or civil prosecution.

SoftPerfect Research reserves all rights not expressly granted here.

The author makes available Technical Support for this Software. The author may, from time to time, revise or update the Software.

Installing or using the program signifies acceptance of these terms and conditions of the license.

IF YOU DO NOT AGREE WITH THE TERMS OF THIS LICENSE YOU MUST REMOVE THE PROGRAM FILES FROM YOUR STORAGE DEVICES AND CEASE TO USE THE PROGRAM.


Purchasing Information

This is not free software. You are licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period you must purchase a license and register.

The evaluation version of the product has the following restrictions:
  • A 30-day trial period
  • No technical support
  • Evaluation reminders
With your purchase you receive:
  • 1 year of full technical support
  • The licensed version of the product with no restrictions
  • Upgrades and new versions for FREE
  • A personal license key
Please click the following button to visit our online store and to purchase a license
When you have purchased the product by filling in the online order form your license key will be sent to you by email. This will convert the evaluation version into the unrestricted licensed version.


Contacts
If you have any questions or suggestions, please contact us
Technical questions about SoftPerfect Bandwidth Manager,
suggestions, problem reports etc:
support@softperfect.com
General information
info@softperfect.com
Sales information
sales@softperfect.com
U.S. FAX
1 (866) 505-8419
Visit our web-site

www.softperfect.com


Getting Started
Specify a host name and password to connect to the SoftPerfect Bandwidth Manager service. By default, the host name is local host and the password is blank.
If you have installed the bandwidth manager service on another computer, enter its IP address or name to access it. If you are using Windows XP SP2 with the active firewall, please set it up to allow the bandwidth manager connection (the TCP ports 8701 and 8702).
After a successful logon, you will see the main window and a list of traffic filtering rules.
The toolbar buttons have the following functions:
Connects to a local or remote host.
Refreshes the rules list display.
Imports all rules from a file. Use this to restore the existing rules or to configure multiple services.
Exports all rules to a file. Use this to backup the existing rules or to configure multiple services.
Adds a new rule.
Deletes an existing rule.
Allows changes to an existing rule.
Displays a rule's statistics.
Displays the program settings.
Opens the quota manager.
Displays daily bandwidth usage report.
Opens the event log browser.
Displays help (this text).


Rules
SoftPerfect Bandwidth Manager examines each data packet passing through the network. If a rule applies to the data packet then the specified speed limit is applied to that packet. The rules apply in descending order in the rules list with highest priority rules at the top. There are menu options to allow rules to be moved up or down in the list if this is needed. If a network packet does not match any rule in the list then no speed constraint is applied to it. See also the rules examples.
To add a new rule select Rules - Add Rule from the main menu or click
Details of the fields in the Add Rule display:
  • Rule Name - Enter a descriptive name for the rule.
  • Direction - Traffic direction on the network interface.
  • Transfer Rate Limit - A data transfer speed limit. You can specify this limit in bytes per second or bits per second, or use a quota.
  • Protocol - The network protocol for this filter.
  • Interface - The network interface type that the rule applies to.
If you have specified the TCP or UDP protocol, you also need to specify Source and Destination parameters. These can be IP addresses or address ranges. Other special parameters allowed here are Any Address and Local host.
To delete a rule select Rules - Remove Rule from the main menu or click [image] To edit a rule select Rules - Edit Rule from the main menu or click [image]. A display similar to the Add Rule display will appear to allow you to change fields as required. To change the rule priority use Rules - Move Up or Move Down to move the rule position in the rules list.

In order to specify the advanced rule properties, choose the Advanced tab. If you decide to use a schedule, the rule will be either enabled or disabled according to the timetable you choose. For instance, you can configure your rules to allow high speed Internet access on working days and disable it at all on holidays. If the rule uses a schedule, the Rule Active option is only an indicator. You are unable to change it manually.

SoftPerfect Bandwidth Manager has an additonal tool named batch wizard. If you would like to add a number of rules, for example to cover a LAN segment, please use the Add Batch command. It helps you to create many similar rules within a single action.


Rule Statistics
To display statistics for any rule select Rules - Statistics from the main menu or click
Click Refresh to renew information or Reset to clear the display (this does not affect the daily bandwidth usage report, see below). The statistics chart displays current usage of the rule in real time.
Daily Bandwidth Usage Report
To display a bandwidth usage report on a daily basis select Tools - Usage Report from the main menu or click
Click the Save button to save the report to a CSV file for further processing.
Click the Refresh button to update the report. Please note, the bandwidth manager service updates statistics once a minute.


Program Settings
To access the SoftPerfect Bandwidth Manager options select File - Settings from the main menu or click
You can setup whichever data speed display mode you prefer and enter a logon password that will allow access the SoftPerfect Bandwidth Manager system service. Also, you can specify what you want to see when you double click a rule.
The advanced tab represents the following internal processing options:

Maximum queue size is a length of the rule's queue which holds network packets when they exceed the bandwidth limit.

Transmit TCP ACK with no queue instructs the bandwidth manager to forward the TCP Acknowledge packets without any delay. This affects only the short TCP packets sized between 54 and 60 bytes with the ACK flag. This option can be useful for bidirectional rules to allow simultaneous uploads and downloads close to the specified rate.


Quota Manager
SoftPerfect Bandwidth Manager supports dynamic rule configuration based on quotas. When you create a rule you can assign a previously defined quota instead of a fixed transfer rate. For example, you can permit users to upload or download a specified data amount within the specified period at one speed but decrease their speed if they exceeded the limit.

To define a quota, click the New button. In the new window please specify the following parameters:

  • Quota Name - Enter a descriptive name for the quota.
  • Initial Rate - Specify an initial transfer rate. This speed applies if a rule does not exceed the limit (zero means unlimited).
  • Reduced Rate - Specify a reduced transfer rate. This speed applies if a rule exceeds the limit.
  • Transferred more than - Specify a data amount in megabytes after that the transfer rate goes down.
  • Period - Specify a period that the quota uses.
Please note:

Within a week means within a period according to the ISO 8601 standard. That is, the week starts on Monday and ends on Sunday.

The bandwidth manager service updates rules according to the existing quotas once a minute.


Bandwidth Scheduling

SoftPerfect Bandwidth Manager supports bandwidth management based on time of day and day of week. To access this feature, select Tools - Timetable Manager from the main menu. Every timetable describes a weekly schedule, when it is either active or inactive.

To define a timetable, click the New button. In the new window please specify a timetable name and mark the hours when the timetable is active. To mark the active hours, select the corresponding cells, and use the Enable Selected item from the pop-up menu. Green areas indicate active periods. In the example below, one hour at night, Monday to Friday is set as an active time.

As soon as you created a timetable, you can instruct the bandwidth manager to enable and disable your rules in accordance with this timetable.


Event Viewer
SoftPerfect Bandwidth Manager logs important events, problems or warnings to the database. You can browse the events using the event viewer.
  • Save - Saves the events to a text file.
  • Display Period - Sets a display period.
  • Filter Events - Filters the events by type.
  • Clear Events - Erases all the events.
  • Refresh - Retrieves new events.


Examples of use
Example 1: You have a network connected to the Internet through a Windows NT/2000/XP/2003 based server. Users access the Internet through the server with ICS (Internet Connection Sharing) or NAT (Network Address Translation). You would like to limit internet access speed for some or all users.

Install the SoftPerfect Bandwidth Manager service on the Windows based server and create rules via the GUI. For example, if your network IP address range is 192.168.0.x your rules might look something like this:

Rule #1: Protocol TCP/UDP, Source: 192.168.0.1, Destination: Any IP Address.
Rule #2: Protocol TCP/UDP, Source: 192.168.0.2, Destination: Any IP Address.
Rule #3: Protocol TCP/UDP, Source: 192.168.0.3, Destination: Any IP Address.

In this case, a rule has been defined for three specific users and each rule would have an appropriate data rate limit. Any other network users would have internet access with no speed limit. If you need to restrict internet access speed for larger numbers of users it might be more convenient to use rules that apply to source address ranges.

This set of rules applies to any connection from selected network users to any IP address. If users access the Internet through a proxy server then example 2 applies.
Example 2: You have a network connected to the Internet through a Windows NT/2000/XP/2003 based server. Users access the Internet through the proxy server. You would like to limit internet access speed for some or all users.

Install SoftPerfect Bandwidth Manager service on the Windows based server and create rules via the GUI. If your network IP address range is 192.168.0.x, your rules might look something like this:

Rule #1: Protocol TCP/UDP, Source: 192.168.0.1, Destination: local host, proxy server port.
Rule #2: Protocol TCP/UDP, Source: 192.168.0.2, Destination: local host, proxy server port.
Rule #3: Protocol TCP/UDP, Source: 192.168.0.3, Destination: local host, proxy server port.

This set of rules applies to any connection from selected network users to the proxy server port. For access to the Internet through the server with ICS (Internet Connection Sharing) or NAT (Network Address Translation) Example 1 applies.

Example 3: You have a network connected to the Internet through a hardware router or a DSL modem. You would like to limit internet access speed for some or all users but you do not need to limit traffic within your LAN.

In this case, you need to install the SoftPerfect Bandwidth Manager service on each network computer on which you would like to set an internet speed limit. Only the system service needs to be installed on each network computer. You will be able to set up the system services remotely via the GUI application installed on a single workstation. If your network IP address range is 192.168.0.x, your rules might be as follows:

Rule #1: Protocol: TCP/UDP, Source: Range 192.168.0.0 - 192.168.0.255, Destination: Range 192.168.0.0 - 192.168.0.255, Unlimited.
Rule #2: Protocol: TCP/UDP, Source: local host, Destination: Any IP address.

The first rule permits unlimited access to the LAN while the second sets an internet access speed limit.

If you have a network management problem and you are unsure how SoftPerfect Bandwidth Manager can help, then please feel free to send us a message describing your network configuration and the problem. We will be glad to help you! To send us an email, click here.


Known Issues and Troubleshooting

Known Issues and FAQ
Compatibility problems
SoftPerfect Bandwidth Manager is not compatible with Sygate Personal Firewall Pro.
Frequently asked questions
Q: I am trying to connect to the bandwidth manager service, but get a message like Connection Timeout or Connection Refused.
A: Try the following:
  • Disable your firewall if it is installed. Windows XP SP2 users have the system firewall enabled by default.
  • Make sure that you have installed the bandwidth manager service on this PC and the service is running. It starts automatically on system boot. However, you can start it from the Administrative Tools - Services control panel applet.
  • Look for any error messages in the BWMSVC.LOG file located in the installation directory.
Q: Is your bandwidth manager compatible with the Microsoft ISA Server?
A: Yes, there are no known issues.
Q: How can I control the bandwidth manager remotely? Is there a web-based interface?
A: SoftPerfect Bandwidth Manager does not support a web-based interface, but it can be controlled remotely. To communicate between the GUI and the system service it uses the standard TCP protocol, ports 8701 and 8702. You can connect to the server with the bandwidth manager service through your LAN or the Internet using the GUI. Just specify a host name or IP address of the machine with the running bandwidth manager service.
Q: Is there a way to control SoftPerfect Bandwidth Manager from our billing system? Is there any API?
A: Currently, the bandwidth manager does not provide any API. However, it will be available shortly.